Module jdk.httpserver
Package com.sun.net.httpserver

## Class Authenticator.Failure

- java.lang.Object
- - com.sun.net.httpserver.Authenticator.Result
  - - com.sun.net.httpserver.Authenticator.Failure

- Enclosing class:
    Authenticator

      public static class Authenticator.Failure
      extends Authenticator.Result

  Indicates an authentication failure. The authentication attempt has completed.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Failure​(int responseCode)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getResponseCode()` | returns the response code to send to the client

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Failure

          public Failure​(int responseCode)

  - ### Method Detail

    - #### getResponseCode

          public int getResponseCode()

      returns the response code to send to the client